package com.lightinit.hsdataplatformresdir.entity;

import java.util.Date;

public class Requirement {
    private Long id;
    private Long rqrmntId;

    private String platformType;

    private String rqrmntType;

    private String rqrmntState;

    private String rqrmntSource;

    private Long publishBy;

    private Date publishAt;

    private String rqrmntName;

    private String rqrmntSummary;

    private Long auditedBy;

    private Date auditedAt;

    private String auditResult;

    private String auditOpinion;

    private Long viewTimes;

    private Date createdAt;

    private Long createdBy;

    private Date deletedAt;

    private Long deletedBy;

    public Long getRqrmntId() {
        return rqrmntId;
    }

    public void setRqrmntId(Long rqrmntId) {
        this.rqrmntId = rqrmntId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getPlatformType() {
        return platformType;
    }

    public void setPlatformType(String platformType) {
        this.platformType = platformType == null ? null : platformType.trim();
    }

    public String getRqrmntType() {
        return rqrmntType;
    }

    public void setRqrmntType(String rqrmntType) {
        this.rqrmntType = rqrmntType == null ? null : rqrmntType.trim();
    }

    public String getRqrmntState() {
        return rqrmntState;
    }

    public void setRqrmntState(String rqrmntState) {
        this.rqrmntState = rqrmntState == null ? null : rqrmntState.trim();
    }

    public String getRqrmntSource() {
        return rqrmntSource;
    }

    public void setRqrmntSource(String rqrmntSource) {
        this.rqrmntSource = rqrmntSource == null ? null : rqrmntSource.trim();
    }

    public Long getPublishBy() {
        return publishBy;
    }

    public void setPublishBy(Long publishBy) {
        this.publishBy = publishBy;
    }

    public Date getPublishAt() {
        return publishAt;
    }

    public void setPublishAt(Date publishAt) {
        this.publishAt = publishAt;
    }

    public String getRqrmntName() {
        return rqrmntName;
    }

    public void setRqrmntName(String rqrmntName) {
        this.rqrmntName = rqrmntName == null ? null : rqrmntName.trim();
    }

    public String getRqrmntSummary() {
        return rqrmntSummary;
    }

    public void setRqrmntSummary(String rqrmntSummary) {
        this.rqrmntSummary = rqrmntSummary == null ? null : rqrmntSummary.trim();
    }

    public Long getAuditedBy() {
        return auditedBy;
    }

    public void setAuditedBy(Long auditedBy) {
        this.auditedBy = auditedBy;
    }

    public Date getAuditedAt() {
        return auditedAt;
    }

    public void setAuditedAt(Date auditedAt) {
        this.auditedAt = auditedAt;
    }

    public String getAuditResult() {
        return auditResult;
    }

    public void setAuditResult(String auditResult) {
        this.auditResult = auditResult == null ? null : auditResult.trim();
    }

    public String getAuditOpinion() {
        return auditOpinion;
    }

    public void setAuditOpinion(String auditOpinion) {
        this.auditOpinion = auditOpinion == null ? null : auditOpinion.trim();
    }

    public Long getViewTimes() {
        return viewTimes;
    }

    public void setViewTimes(Long viewTimes) {
        this.viewTimes = viewTimes;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Long getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(Long createdBy) {
        this.createdBy = createdBy;
    }

    public Date getDeletedAt() {
        return deletedAt;
    }

    public void setDeletedAt(Date deletedAt) {
        this.deletedAt = deletedAt;
    }

    public Long getDeletedBy() {
        return deletedBy;
    }

    public void setDeletedBy(Long deletedBy) {
        this.deletedBy = deletedBy;
    }
}